uw-imap (4:2001adebian-6) unstable; urgency=high

  * libc-client2001: Fix potential segmentation fault.  Thanks Hadmut Danisch.  
    (Closes:  #128830)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 13 Jan 2002 14:59:36 -0500

uw-imap (4:2001adebian-5) unstable; urgency=low

  * mlock:  added stdlib.h include to mlock.c to avoid possible segfaults
    on IA64 platform.  Thanks John R. Daily.  (Closes: #126622)
  * Remove task: from control as it isn't used anymore.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 27 Dec 2001 13:48:38 -0500

uw-imap (4:2001adebian-4) unstable; urgency=low

  * Change location of mail spool to /var/mail as per policy.
  * libc-client2001: Fix speeling mistake in description.
    (Closes: #124903)
  * The text which contained another spellink mistake doesn't exist
    anymore.  (Closes: #125449)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 18 Dec 2001 06:20:14 -0500

uw-imap (4:2001adebian-3) unstable; urgency=high

  * The "Woodwards' Gripe Water" release.
  * synchronized patches with uw-imap-ssl
  * uw-imapd: Removed pine from Suggests as it is no longer an official
    Debian package.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 17 Dec 2001 13:22:27 -0500

uw-imap (4:2001adebian-2) unstable; urgency=low

  * uw-imapd: Added imap3 service to inetd.conf for those clients that
    need it.  See /usr/share/doc/uw-imapd/README.Debian for info on
    turning it off if you don't need it.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 22 Nov 2001 12:57:07 -0500

uw-imap (4:2001adebian-1) unstable; urgency=low

  * New upstream release 

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 19 Nov 2001 02:54:15 -0500

uw-imap (3:2001a.rc4debian-1) unstable; urgency=low

  * New upstream release

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 13 Nov 2001 14:34:16 -0500

uw-imap (3:2001a.rc2debian-1) unstable; urgency=low

  * New upstream release

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 23 Oct 2001 23:27:23 -0400

uw-imap (2:2001debian-1) unstable; urgency=low

  * This is the official 2001 release
  * No changes, just a version number change really
  * Some lintian warnings cleaned up

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 23 Oct 2001 15:02:45 -0400

uw-imap (1:2001rc1debian-1) unstable; urgency=high

  * New upstream release
  * Source reworked to use dbs.  There wasn't much in the way of
    documentation so let me know if there were any errors with this.
  * Brand new all-singing, all-dancing, maildir patch from Miquel Van
    Smoorenburg.  (Closes: #111435, #105542 and hopefully the other maildir
    bug reports.)
  * Also a patch from Miquel for just advertising private and shared
    namespaces.  See /usr/share/doc/libc-client2001/README.Debian for details.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 28 Sep 2001 06:14:23 -0400

uw-imap (1:2001beta010722debian-4) unstable; urgency=high

  * shared libs need to be linked with gcc, not ld. (Closes: #108091)
  * for maildirs INBOX should be ~/Maildir.
  * Most existing maildir problems should be fixed at this point.
    (Closes: #46557, #59546, #97432, #104208) Maildir users please test
    and if there are still issues reopen the bugs or file new ones.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 10 Aug 2001 11:32:49 -0400

uw-imap (1:2001beta010722debian-3) unstable; urgency=high

  * uw-imapd: Fixed wrapped lines in logcheck filter (Closes: #107726) 

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon,  6 Aug 2001 01:41:38 -0400

uw-imap (1:2001beta010722debian-2) unstable; urgency=low

  * libc-client2001: sysinbox() was only looking at ~/Mailbox not
    /var/mail/$USER.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 31 Jul 2001 11:40:57 -0400

uw-imap (1:2001beta010722debian-1) unstable; urgency=low

  * New upstream version.  Apologies for the hideous version number.Despite
    the 'beta' this is actually the current stable version. (Go figure.)
  * uw-imapd: Added Task: header to control file for new tasks scheme.
  * uw-imapd: linked imapcopy.1 to imapmove.1 (Closes: #99574)
  * uw-imapd: You shouldn't get the message "Can't create mailbox node
    ~/mbox: File exists." anymore (Closes: #66605, #71111)
  * uw-imapd: New feature in this version should fix problems with Outlook,
    Outlook Express (Closes: #73017, #80574)
  * libc-client2001: fixed up struct SEARCHPGM member names so they work
    in ANSI C++. (Closes: #102844)
  * ipopd: Added a filter for logcheck (Closes #100899)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 30 Jul 2001 10:37:12 -0400

uw-imap (1:2000cdebian-4) unstable; urgency=low

  * libc-client2000:  Changed shared lib build method (Closes: #98649)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 24 May 2001 19:55:32 -0400

uw-imap (1:2000cdebian-3) unstable; urgency=low

  * uw-imapd: Added a filter for logcheck (Closes: #97742)
  * uw-imapd,ipopd: Now we just update inetd entries not remove and then
    readd them (Closes: #98444)
  * 

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 24 May 2001 00:08:31 -0400

uw-imap (1:2000cdebian-2) unstable; urgency=low

  * I've not had time to do all the work on this package that I want to
    but I thought I'd at least fix some of the easier bugs in the
    meantime.
  * libc-client2000-dev: conflicts with libc-client4.7-dev (closes: #81527)
  * libc-client2000:  Hopefully fixed, . and .. showing up as mail in
    maildirs
  * New maildir patch from http://greboguru.org/qmail/

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue,  8 May 2001 10:02:49 -0400

uw-imap (1:2000cdebian-1) unstable; urgency=low

  * New upstream release

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 12 Feb 2001 23:44:51 -0500

uw-imap (1:2000bdebian-1) unstable; urgency=low

  * New upstream release
  * Corrected wrong paths in man pages (Closes: #81598)
  * libc-client2000-dev:  Added dependency on libpam0g-dev (Closes:  #78765)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 21 Jan 2001 01:15:31 -0500

uw-imap (2000debian-2) unstable; urgency=low

  * Fixed bad dependency for libc-client2000-dev

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 15 Nov 2000 08:57:27 -0500

uw-imap (2000debian-1) unstable; urgency=low

  * New Upstream version.
  * Package name has changed.
  * corrupted mailbox problem fixed upstream.  (Closes: #70647, #70608)
  * Fixed inability to recognize charsets with long names (Closes: #67864)
  * Fixed inaccurate ipop[23]d man page. (Closes: #76642)
  * Does not have spurious dependency on ldso now (Closes: #76228)
  * maildir driver no longer complains if maildir begins with a dot.
    (Closes: #69746)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 12 Nov 2000 02:09:16 -0500

imap (4.7c-2) unstable; urgency=high
 
  * problem with MD5 passwords made clearer.  (Thanks Craig Small)
    (Closes: #64149)
  * libc-client4.7:  Maybe fix buffer overflow that could corrupt
    mailboxes.  We still need to test this.
 
 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri,  1 Sep 2000 16:15:53 -0400

imap (4.7c-1) frozen unstable; urgency=high

  * New upstream patch release.
  * SECURITY: addresses buffer overflow problems mentioned on BugTraq
  * mlock: saner permissions on /usr/bin/mlock. (Closes: #58791, #59527)
  * Some fixes to documentation of how to compile for slink.  It should
    work correctly now. (Thanks to Christian Worm Mortensen for his
    assistance with this.)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 27 Oct 2000 00:50:03 -0400

imap (4.7b-1) unstable; urgency=low

  * New upstream patch release.  No new features.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 22 Apr 2000 00:40:41 -0500

imap (4.7a-1) unstable; urgency=low

  * upstream  patch release which corrects crashes caused by certain
    unusual tokens in message headers.  There are no new features.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri,  3 Mar 2000 10:19:51 -0500

imap (4.7-7) frozen unstable; urgency=high

  * libc-client4.7: incorrect dependency for PAM which could affect people
    upgading from slink corrected.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 15 Jan 2000 15:28:41 -0500

imap (4.7-6) unstable; urgency=high

  * libc-client4.7-dev: symlinked /usr/lib/c-client.a to
    /usr/lib/libc-client.a (Closes: #54647)
  * mlock: changed to priority optional like the rest of
    the packages(Closes: #53508)
  * Debut of my new GPG key.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue, 11 Jan 2000 22:37:44 -0500

imap (4.7-5) unstable; urgency=high

  * mlock:  Oops messed up the conflicts.  Fixed for real this time.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun,  2 Jan 2000 08:40:36 -0500

imap (4.7-4) unstable; urgency=high

  * mlock: added conflicts to older versions of libc-client so there are
    no overwrite problems.  (Closes: #53727)
  * mlock: wrote a man page so there is at least *some* documentation as
    to what the heck it does.  (Closes: #53509)
  * libc-client4.7:  More documentation added to package. (Closes: #53369)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 31 Dec 1999 16:19:36 -0500

imap (4.7-3) unstable; urgency=high

  * Documentation about MD5 authentication made much clearer so people can
    understand why their IMAP server suddenly doesn't seem to authenticate
    any more.  (Closes:  #50319, #51923, #53189, #53190)
  * mlock spun out into it's own package which libc-client4.7 depends on.
    This will allow multiple versions of libc-client to be installed.
    (Closes: #52975)
  * Correct build dependencies. (Closes: #52296)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 23 Dec 1999 17:49:42 -0500

imap (4.7-2) unstable; urgency=low

  * Fixed broken source dependencies (Closes: #51710)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed,  1 Dec 1999 15:12:41 -0500

imap (4.7-1) unstable; urgency=low

  * New upstream version
  * changed name of package libc-client-dev to libc-client4.7-dev

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sat, 20 Nov 1999 01:23:44 -0500

imap (4.6-4) unstable; urgency=low

  * imap: dmail can now deliver mail to symlinked mailboxes (Closes: #49552)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon,  8 Nov 1999 18:46:54 -0500

imap (4.6-3) unstable; urgency=low

  * libc-client4.6: /etc/cram-md5.pwd is no longer a conffile and not
    included in the package.  Thus md5 authentication is no longer the default.
    Read the docs to find out how to enable this.  (Closes:  #48800)
  * ipopd: corrected name of PAM configuration file (Closes: #48935)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon,  1 Nov 1999 19:18:21 -0500

imap (4.6-2) unstable; urgency=low

  * libc-client-dev:  Added linkage.c which is needed to compile pine
  * libc-client4.6 Removed bogus -lpam link flag from slx target in Makefile.
    This was preventing compilation under slink. 

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 29 Oct 1999 18:44:43 -0400

imap (4.6-1) unstable; urgency=low

  * New upstream version (Closes: #48319)
  * Includes imap-utils (Closes: #47969)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 27 Oct 1999 20:22:23 -0400

imap (4.5-8) unstable; urgency=low

  * all: WARNING: mailbox root has been changed back to $HOME again.  It
    is no longer $HOME/mail. Please carefully reviw your setup to see if
     this will affect you in any way.  See README.Debian for additional info.
    (closes: #33780, #34056, #41731, #43171, #44781, #45624)
  * imap: postrm specifically removes imapd from inet.conf not just 
    anything that happens to have the imap port.  (closes: #42786)
  * libc-client4.5:  Added David Harrises patches for maildir support so
    you can properly delete maildir folders.  (Closes: #44607) Thanks
    to Jens Jorgensen.
  * libc-client4.5: patched the maildir patch to also look for folders in
    /var/spool/mail/username.  (closes: #47201) Thanks to Miquel Van
    Smoorenburg for the patch.
  * Ok, really fix non-PIC code in shared lib this time (closes: #42390)
    Thanks to Madarasz Gergely for the patch.
  * Based on suggestion by Mike Bilow, added the ability to compile under
    slink which previously could not be done due to differences in
    libraries etc.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed, 20 Oct 1999 20:55:57 -0400

imap (4.5-7) unstable; urgency=low

  * libc-client4.5: compiled with MD5 support.  This means both imapd and 
    ipop[23]d have MD5 support and ipop[23]d can do APOP.  
    (fixes: #41213, 41214)
  * ipopd: provides and conflicts with virtual package pop3-server 
    (fixes: #38523, #42410)
  * libc-client-dev: library no longer contains PIC code (fixes: #42390)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon,  9 Aug 1999 23:33:46 -0400

imap (4.5-6) unstable; urgency=low

  * made a c-client shared library (Thanks to Madarasz Gergely for the
    patch) the c-client packages have been renamed to libc-client4.5 and
    libc-client4.5-dev to be more in line with Debian conventions. 
    (closes #48033)
  * Added new maildir patch (Thanks Chris Bond) which should hopefully fix
    some of the remaining problems.  (closes #39375)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu,  8 Jul 1999 01:16:59 -0400

imap (4.5-5) unstable; urgency=low

  * Reworded parts of imaps README.Debian.  Thanks to Brock Rozen. 
    (closes #38840)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Thu, 10 Jun 1999 13:16:08 -0400

imap (4.5-4) unstable; urgency=low

  * Die! folder creation bug die!

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed,  9 Jun 1999 17:04:08 -0400

imap (4.5-3) unstable; urgency=low

  * Readded maildir support 

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed,  9 Jun 1999 06:53:29 -0400

imap (4.5-2) unstable; urgency=low

  * A dumb typo on my part meant that 4.5-1 looked in $HOME for folders 
    instead of $HOME/mail.  This has been put right (fixes #39094, #39138)
    This should also Fix the problems people are having creating folders.
    (fixes #39010)
  * Backed out old maildir patch.  It seemed to be causing more problems
    than it solved.  (fixes #39017) I have received a new one from Chris
    Bond but owing to the SNAFU I have described above, I just want to
    get this release out quickly.  maildir  will be back in -3 I promise :-)
  * Added PAM configuration file for ipopd (fixes #38787)
  * Added old entries back to debian/changelog (fixes #38871)
  * Uses pristine source (fixes #38870)
  * You shouldn't get the mailbox vulnerable error anymore.  It wasn't
    valid for Debian anyway.  (fixes #36108)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue,  8 Jun 1999 15:24:40 -0400

imap (4.5-1) unstable; urgency=low

  * Upload of latest stable upstream version (fixes #38355).  I had hoped
    to fix some of the outstanding bugs but I haven't yet and people are
    getting restless so I thought I'd better get this out quickly.
  * New upstream version
  * Contains fix for potential security problems in ipop2d
  * Now has maildir support (closes #33373). Thanks to Marcelo Magallon
  * Now has PAM support.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Wed,  26 May 1999 20:41:29 -0400

imap (4.4-5) unstable; urgency=low

  * Added some documentation to the c-client-dev package (fixes #30619)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 18 Dec 1998 11:01:52 -0500

imap (4.4-4) unstable; urgency=low

  * Missing some extra header files in c-client-dev

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue,  6 Oct 1998 14:42:25 -0400

imap (4.4-3) unstable; urgency=low

  * Included instructions for changing the mailbox root directory in
    README.Debian and included instructions for imaprc.  (fixes #27241)
  * Seperated out c-client.a and its headers into a seperate
    c-client-dev package.  There will be a shared libc-client.so at
    some point but not yet.
  * Cleaned up remnants of former typos indebian directory

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Tue,  6 Oct 1998 03:52:56 -0400

imap (4.4-2) unstable; urgency=low

  * Didn't realize multiple binary packages don't need their own
    changelogs. changelog for ipopd is gone now.  (fixes #23786)
  * ipopd now conflicts with older version of imap that contained the
    ipop[23]d binaries so dpkg won't complain about overwrites.

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon,  5 Oct 1998 03:10:58 -0400

imap (4.4-1) unstable; urgency=low

  * New upstream version
  * added define of _XOPEN_SOURCE and _BSD_SOURCE for crypt() prototype
    (fixes #26130)
  * uses $HOME/mail as mailbox root instead of $HOME (fixes #26185)
  * finally got around to fixing ipopd and rimap references in imapd man
    page.  (fixes #17812 at last!)
  * ipop2d and ipop3d split out into their own package
  * A little more in the way of documentation

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Sun, 27 Sep 1998 22:40:45 -0400

